cp_ext_point_t Struct Reference
Data structures

Extension point structure captures information about an extension point. More...

`#include <cpluff.h>`

Collaboration diagram for cp_ext_point_t:
[legend]

## Data Fields

cp_plugin_info_t * | plugin
| A pointer to plug-in information containing this extension point.
id attribute of an
The local identifier uniquely identifying the extension point within the host plug-in. This corresponds to the extension-point element in a plug-in descriptor.
char * | local_id
char * | identifier
| The unique identifier of the extension point.
char * | name
| An optional extension point name.
char * | schema_path
| An optional path to the extension schema definition.

## Detailed Description

Extension point structure captures information about an extension point.

Extension point structures are contained in cp_plugin_info_t::ext_points.

## Field Documentation

## plugin

cp_plugin_info_t* plugin

A pointer to plug-in information containing this extension point.

This reverse pointer is provided to make it easy to get information about the plug-in which is hosting a particular extension point.

## identifier

char* identifier

The unique identifier of the extension point.

This is automatically constructed by concatenating the identifier of the host plug-in and the local identifier of the extension point.

## name

char* name

An optional extension point name.

NULL if not available. The extension point name is intended for display purposes only and the value can be localized. This corresponds to the name attribute of an extension-point element in a plug-in descriptor.

## schema_path

char* schema_path

An optional path to the extension schema definition.

NULL if not available. The path is relative to the plug-in directory. This corresponds to the schema attribute of an extension-point element in a plug-in descriptor.

The documentation for this struct was generated from the following file:

- cpluff.h

Generated on Sun Mar 31 2024 17:56:45 for C-Pluff C API by 1.9.8